This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486683 - Banshee 1.4.2-3 crashes when iterating play list
Banshee 1.4.2-3 crashes when iterating play list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 19:15 EST by Mark Gunstrom
Modified: 2009-07-14 12:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Gunstrom 2009-02-20 19:15:38 EST
Description of problem:
When Banshee automatically switches to the next song in a play list and the Banshee window does not have focus it crashes.

Version-Release number of selected component (if applicable):
1.4.2-3

How reproducible:
Very, happens every time with the steps below.

Steps to Reproduce:
1. Start playing a song with multiple songs on the list.
2. Minimize Banshee.
3. Wait a few seconds until after the next song starts.
  
Actual results:
Banshee crashes.

Expected results:
Banshee should continue playing the next song without crashing.


Additional info:
This does have occur in Banshee 1.4.2-2.  Debug info below.

An unhandled exception was thrown: Array index is out of range.

at NDesk.DBus.MessageReader.MarshalUInt (byte*) <0x0002d>
at NDesk.DBus.MessageReader.ReadUInt32 () <0x00011>
at NDesk.DBus.MessageReader.ReadValue (NDesk.DBus.DType) <0x00113>
at NDesk.DBus.MessageReader.ReadValue (System.Type) <0x0023b>
at NDesk.DBus.MessageHelper.GetDynamicValues (NDesk.DBus.Message,System.Reflection.ParameterInfo[]) <0x000d5>
at NDesk.DBus.Connection.HandleSignal (NDesk.DBus.Message) <0x000e4>
at NDesk.DBus.Connection.DispatchSignals () <0x0003c>
at NDesk.DBus.Connection.Iterate () <0x0002c>
at <>c__CompilerGenerated0.<Init>c__1 (intptr,NDesk.GLib.IOCondition,intptr) <0x00027>
at (wrapper native-to-managed) <>c__CompilerGenerated0.<Init>c__1 (intptr,NDesk.GLib.IOCondition,intptr) <0x0004b>
at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
at Gtk.Application.Run () <0x00007>
at Banshee.Gui.GtkBaseClient.Run () <0x00052>
at Banshee.Gui.GtkBaseClient.Startup () <0x00034>
at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.CleanRoomStartup/StartupInvocationHandler) <0x000a2>


.NET Version: 2.0.50727.42
OS Version: Unix 2.6.27.12

Assembly Version Information:

System.Web (2.0.0.0)
Mono.Zeroconf.Providers.Bonjour (1.0.0.75)
avahi-sharp (1.0.0.0)
Mono.Zeroconf.Providers.Avahi (1.0.0.75)
Mono.Zeroconf (1.0.0.75)
Mtp (1.4.0.0)
ipod-sharp (0.0.1.0)
Banshee.Dap.Mtp (1.4.0.0)
Banshee.Dap.MassStorage (1.4.0.0)
taglib-sharp (2.0.3.0)
Banshee.InternetRadio (1.4.0.0)
Banshee.FileSystemQueue (1.4.0.0)
Mono.Media (1.4.0.0)
Banshee.PlayQueue (1.4.0.0)
Banshee.CoverArt (1.4.0.0)
Banshee.MultimediaKeys (1.4.0.0)
Migo (1.4.0.0)
Banshee.Podcasting (1.4.0.0)
Lastfm (1.4.0.0)
Banshee.Lastfm (1.4.0.0)
notify-sharp (0.4.0.0)
Banshee.NotificationArea (1.4.0.0)
Banshee.Bookmarks (1.4.0.0)
Banshee.Daap (1.4.0.0)
Banshee.AudioCd (1.4.0.0)
pango-sharp (2.12.0.0)
Banshee.Widgets (1.4.0.0)
Banshee.Dap.Ipod (1.4.0.0)
Banshee.Dap (1.4.0.0)
Banshee.Hal (1.4.0.0)
Banshee.Unix (1.4.0.0)
Banshee.GStreamer (1.4.0.0)
gconf-sharp (2.16.0.0)
Banshee.Gnome (1.4.0.0)
Banshee.NowPlaying (1.4.0.0)
System.Transactions (2.0.0.0)
NDesk.DBus.GLib (1.0.0.0)
Mono.Cairo (2.0.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
System.Xml (2.0.0.0)
Mono.Addins (0.3.0.0)
gdk-sharp (2.12.0.0)
atk-sharp (2.12.0.0)
Hyena.Gui (1.4.0.0)
Mono.Posix (2.0.0.0)
gtk-sharp (2.12.0.0)
Banshee.ThickClient (1.4.0.0)
Nereid (1.4.0.0)
NDesk.DBus.Proxies (0.0.0.0)
Banshee.Core (1.4.0.0)
System (2.0.0.0)
Hyena (1.4.0.0)
NDesk.DBus (1.0.0.0)
glib-sharp (2.12.0.0)
Banshee.Services (1.4.0.0)
Banshee (1.4.0.0)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.27.12-78.2.8.fc9.i686 i686 i386 GNU/Linux

Disribution Information:

[/etc/fedora-release]
Fedora release 9 (Sulphur)

[/etc/system-release]
Fedora release 9 (Sulphur)

[/etc/redhat-release]
Fedora release 9 (Sulphur)
Comment 1 Jesus M. Rodriguez 2009-02-23 14:13:13 EST
I'm getting the same thing.
Comment 2 lexual 2009-02-24 18:03:54 EST
I can't reproduce with Fedora 10.
Comment 3 Michel Alexandre Salim 2009-02-24 19:16:09 EST
So it appears to be a Fedora 9-only thing. I'll try and verify on my VirtualBox installation.
Comment 4 HughieB 2009-03-03 19:13:07 EST
I have the same thing except I think it only happens on some tracks.
The only difference I have is Banshee continues to play with the "Banshee encountered a fatal error" windows until I click close on that window, then it crashes.
Something that may be related. My mplayer and gnome-player speeds on some video have gone mad. It goes to fast to follow properly and the sound doesn't work. This seemed to start at the same time which was after a recent gstreamer update.

This is the Bansee error message I get:

An unhandled exception was thrown: Array index is out of range.

at NDesk.DBus.MessageReader.MarshalUInt (byte*) <0x0002d>
at NDesk.DBus.MessageReader.ReadUInt32 () <0x00011>
at NDesk.DBus.MessageReader.ReadValue (NDesk.DBus.DType) <0x00113>
at NDesk.DBus.MessageReader.ReadValue (System.Type) <0x0023b>
at NDesk.DBus.MessageHelper.GetDynamicValues (NDesk.DBus.Message,System.Reflection.ParameterInfo[]) <0x000d5>
at NDesk.DBus.Connection.HandleSignal (NDesk.DBus.Message) <0x000e4>
at NDesk.DBus.Connection.DispatchSignals () <0x0003c>
at NDesk.DBus.Connection.Iterate () <0x0002c>
at <>c__CompilerGenerated0.<Init>c__1 (intptr,NDesk.GLib.IOCondition,intptr) <0x00027>
at (wrapper native-to-managed) <>c__CompilerGenerated0.<Init>c__1 (intptr,NDesk.GLib.IOCondition,intptr) <0x0004b>
at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
at Gtk.Application.Run () <0x00007>
at Banshee.Gui.GtkBaseClient.Run () <0x00052>
at Banshee.Gui.GtkBaseClient.Startup () <0x00034>
at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.CleanRoomStartup/StartupInvocationHandler) <0x000a2>


.NET Version: 2.0.50727.42
OS Version: Unix 2.6.27.15

Assembly Version Information:

ICSharpCode.SharpZipLib (2.84.0.0)
System.Configuration (2.0.0.0)
System.Web (2.0.0.0)
Mono.Zeroconf.Providers.Bonjour (1.0.0.75)
avahi-sharp (1.0.0.0)
Mono.Zeroconf.Providers.Avahi (1.0.0.75)
Mono.Zeroconf (1.0.0.75)
Mtp (1.4.0.0)
ipod-sharp (0.0.1.0)
Banshee.Dap.Mtp (1.4.0.0)
Banshee.Dap.MassStorage (1.4.0.0)
taglib-sharp (2.0.3.0)
Banshee.InternetRadio (1.4.0.0)
Banshee.FileSystemQueue (1.4.0.0)
Mono.Media (1.4.0.0)
Banshee.PlayQueue (1.4.0.0)
Banshee.CoverArt (1.4.0.0)
Banshee.MultimediaKeys (1.4.0.0)
Migo (1.4.0.0)
Banshee.Podcasting (1.4.0.0)
Lastfm (1.4.0.0)
Banshee.Lastfm (1.4.0.0)
Banshee.MiniMode (1.4.0.0)
notify-sharp (0.4.0.0)
Banshee.NotificationArea (1.4.0.0)
Banshee.Bookmarks (1.4.0.0)
Banshee.Daap (1.4.0.0)
Banshee.AudioCd (1.4.0.0)
pango-sharp (2.12.0.0)
Banshee.Widgets (1.4.0.0)
Banshee.Dap.Ipod (1.4.0.0)
Banshee.Dap (1.4.0.0)
Banshee.Hal (1.4.0.0)
Banshee.Unix (1.4.0.0)
Banshee.GStreamer (1.4.0.0)
gconf-sharp (2.16.0.0)
Banshee.Gnome (1.4.0.0)
Banshee.NowPlaying (1.4.0.0)
System.Transactions (2.0.0.0)
NDesk.DBus.GLib (1.0.0.0)
Mono.Cairo (2.0.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
System.Xml (2.0.0.0)
Mono.Addins (0.3.0.0)
gdk-sharp (2.12.0.0)
atk-sharp (2.12.0.0)
Hyena.Gui (1.4.0.0)
Mono.Posix (2.0.0.0)
gtk-sharp (2.12.0.0)
Banshee.ThickClient (1.4.0.0)
Nereid (1.4.0.0)
NDesk.DBus.Proxies (0.0.0.0)
Banshee.Core (1.4.0.0)
System (2.0.0.0)
Hyena (1.4.0.0)
NDesk.DBus (1.0.0.0)
glib-sharp (2.12.0.0)
Banshee.Services (1.4.0.0)
Banshee (1.4.0.0)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.27.15-78.2.23.fc9.i686 i686 i386 GNU/Linux

Disribution Information:

[/etc/fedora-release]
Fedora release 9 (Sulphur)

[/etc/system-release]
Fedora release 9 (Sulphur)

[/etc/redhat-release]
Fedora release 9 (Sulphur)
Comment 5 oneinchman 2009-03-21 16:01:51 EDT
I have the same problem, in Fedora 9

An unhandled exception was thrown: Array index is out of range.

at NDesk.DBus.MessageReader.MarshalUInt (byte*) <0x0002d>
at NDesk.DBus.MessageReader.ReadUInt32 () <0x00011>
at NDesk.DBus.MessageReader.ReadValue (NDesk.DBus.DType) <0x00113>
at NDesk.DBus.MessageReader.ReadValue (System.Type) <0x0023b>
at NDesk.DBus.MessageHelper.GetDynamicValues (NDesk.DBus.Message,System.Reflection.ParameterInfo[]) <0x000d5>
at NDesk.DBus.Connection.HandleSignal (NDesk.DBus.Message) <0x000e4>
at NDesk.DBus.Connection.DispatchSignals () <0x0003c>
at NDesk.DBus.Connection.Iterate () <0x0002c>
at <>c__CompilerGenerated0.<Init>c__1 (intptr,NDesk.GLib.IOCondition,intptr) <0x00027>
at (wrapper native-to-managed) <>c__CompilerGenerated0.<Init>c__1 (intptr,NDesk.GLib.IOCondition,intptr) <0x0004b>
at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
at Gtk.Application.Run () <0x00007>
at Banshee.Gui.GtkBaseClient.Run () <0x00052>
at Banshee.Gui.GtkBaseClient.Startup () <0x00034>
at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.CleanRoomStartup/StartupInvocationHandler) <0x000a2>


.NET Version: 2.0.50727.42
OS Version: Unix 2.6.28.7

Assembly Version Information:

System.Web (2.0.0.0)
Mono.Zeroconf.Providers.Bonjour (1.0.0.75)
avahi-sharp (1.0.0.0)
Mono.Zeroconf.Providers.Avahi (1.0.0.75)
Mono.Zeroconf (1.0.0.75)
ipod-sharp (0.0.1.0)
Mtp (1.4.0.0)
Banshee.Dap.Mtp (1.4.0.0)
System.Configuration (2.0.0.0)
Banshee.Dap.MassStorage (1.4.0.0)
taglib-sharp (2.0.3.0)
Mono.Media (1.4.0.0)
Banshee.InternetRadio (1.4.0.0)
Banshee.PlayQueue (1.4.0.0)
Banshee.FileSystemQueue (1.4.0.0)
Migo (1.4.0.0)
Banshee.Podcasting (1.4.0.0)
notify-sharp (0.4.0.0)
Banshee.NotificationArea (1.4.0.0)
Lastfm (1.4.0.0)
Banshee.Lastfm (1.4.0.0)
Banshee.CoverArt (1.4.0.0)
Banshee.Bookmarks (1.4.0.0)
Banshee.MultimediaKeys (1.4.0.0)
Banshee.Daap (1.4.0.0)
Banshee.AudioCd (1.4.0.0)
pango-sharp (2.12.0.0)
Banshee.Widgets (1.4.0.0)
Banshee.Dap.Ipod (1.4.0.0)
Banshee.Dap (1.4.0.0)
Banshee.Hal (1.4.0.0)
Banshee.Unix (1.4.0.0)
Banshee.GStreamer (1.4.0.0)
gconf-sharp (2.16.0.0)
Banshee.Gnome (1.4.0.0)
Banshee.NowPlaying (1.4.0.0)
System.Transactions (2.0.0.0)
NDesk.DBus.GLib (1.0.0.0)
Mono.Cairo (2.0.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
System.Xml (2.0.0.0)
Mono.Addins (0.3.0.0)
gdk-sharp (2.12.0.0)
atk-sharp (2.12.0.0)
Hyena.Gui (1.4.0.0)
Mono.Posix (2.0.0.0)
gtk-sharp (2.12.0.0)
Banshee.ThickClient (1.4.0.0)
Nereid (1.4.0.0)
NDesk.DBus.Proxies (0.0.0.0)
Banshee.Core (1.4.0.0)
System (2.0.0.0)
Hyena (1.4.0.0)
NDesk.DBus (1.0.0.0)
glib-sharp (2.12.0.0)
Banshee.Services (1.4.0.0)
Banshee (1.4.0.0)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.28.7 i686 i386 GNU/Linux

Disribution Information:

[/etc/fedora-release]
Fedora release 9 (Sulphur)

[/etc/system-release]
Fedora release 9 (Sulphur)

[/etc/redhat-release]
Fedora release 9 (Sulphur)
Comment 6 Bug Zapper 2009-06-09 23:34:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:02:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.